<?php
 /**
 *      [XCECP] (C) COLNET Inc.
 *      This is NOT a freeware, use is subject to license terms
 */
if(!defined("IN_QKWEB")){exit("Access Denied");}
function smarty_function_seopage($params, $template)
{	
	global $_G,$db;
    $id = (isset($params['id']) && settype($params['id'],"integer"))?$params['id']:0;
	if($id){
		$sql = "";
	}
		$template->clearAssign('pageInfo');
		$sm = new SeoModel();
		$pageInfo = $sm->pageInfo($id);
		$pageInfo['title'] = $pageInfo['title']?($pageInfo['title'].' - '.$GLOBALS['siteConf']['siteName']):$GLOBALS['siteConf']['siteName'];
		if(!checkCert()){$pageInfo['title'] = $pageInfo['title']." - Powered by XCECP";}
		$template->assign("pageInfo",$pageInfo);
    return;
}

?>